## org.apache.poi.hwpf.model
Class CHPX

    java.lang.Object
      org.apache.poi.hwpf.model.PropertyNode<T>
          org.apache.poi.hwpf.model.BytePropertyNode<CHPX>
              org.apache.poi.hwpf.model.CHPX

All Implemented Interfaces:
  java.lang.Cloneable, java.lang.Comparable<CHPX>

    @Internal
    public final class CHPX

extends BytePropertyNode<CHPX>

DANGER - works in bytes! Make sure you call getStart() / getEnd() when you want characters (normal use), but getStartByte() / getEndByte() when you're reading in / writing out!

Author:
  Ryan Ackley

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.poi.hwpf.model.PropertyNode
`PropertyNode.EndComparator, PropertyNode.StartComparator`

Field Summary

Fields inherited from class org.apache.poi.hwpf.model.PropertyNode
`_buf`

Constructor Summary
`CHPX(int fcStart, int fcEnd, CharIndexTranslator translator, byte[] grpprl)` Deprecated.
`CHPX(int fcStart, int fcEnd, CharIndexTranslator translator, SprmBuffer buf)` Deprecated.

Method Summary
`CharacterProperties` `getCharacterProperties(StyleSheet ss, short istd)`
`byte[]` `getGrpprl()`
`SprmBuffer` `getSprmBuf()`
`java.lang.String` `toString()`

Methods inherited from class org.apache.poi.hwpf.model.BytePropertyNode
`getEndBytes, getStartBytes`

Methods inherited from class org.apache.poi.hwpf.model.PropertyNode
`adjustForDelete, clone, compareTo, equals, getEnd, getStart, hashCode, limitsAreEqual, setEnd, setStart`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CHPX

    @Deprecated
    public CHPX(int fcStart,
                           int fcEnd,
                           CharIndexTranslator translator,
                           byte[] grpprl)

  Deprecated.

### CHPX

    @Deprecated
    public CHPX(int fcStart,
                           int fcEnd,
                           CharIndexTranslator translator,
                           SprmBuffer buf)

  Deprecated.

Method Detail

### getGrpprl

    public byte[] getGrpprl()

### getSprmBuf

    public SprmBuffer getSprmBuf()

### getCharacterProperties

    public CharacterProperties getCharacterProperties(StyleSheet ss,
                                                      short istd)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.